Get user institutions by user ID
curl --request GET \
--url https://pria.praxislxp.com/api/admin/userInstitutionsByUserId/{userId} \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/admin/userInstitutionsByUserId/{userId}"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/admin/userInstitutionsByUserId/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"lastConversation": {
"course_id": 123,
"course_name": "<string>"
},
"digitaltwin": true,
"_id": "<string>",
"user": {
"_id": "<string>",
"email": "jsmith@example.com",
"fname": "<string>",
"lname": "<string>",
"accountType": "<string>",
"status": "<string>",
"lxp_user_id": "<string>",
"picture": "<string>",
"lxp_user_type": 123,
"lxp_partner_id": 123,
"lxp_partner_name": "<string>",
"lxp_role_id": 123,
"lxp_role_name": "<string>",
"credits": 123,
"creditsUsed": 123,
"plan": "<string>",
"institution": {
"_id": "<string>",
"name": "<string>",
"picture": "<string>",
"credits": 123,
"creditsUsed": 123,
"creditsAwarded": 123,
"publicId": "<string>",
"publicAuthorizedUrls": [
"<string>"
],
"ainame": "<string>",
"contactEmail": "<string>",
"poolCredits": true,
"created": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"conversationModel": "<string>",
"account": {
"_id": "<string>",
"name": "<string>",
"managerEmail": "jsmith@example.com",
"credits": 123,
"domainUrls": [
"<string>"
],
"qualification": "<string>",
"created": "2023-11-07T05:31:56Z",
"creditCaps": {
"enabled": false,
"perUserAccountTotal": 123,
"perUserInstitutionDefault": 123,
"perUser24hDefault": 123
}
},
"agent": {
"enabled": true,
"preset": "<string>",
"manifestYaml": "<string>",
"manifestDigest": "<string>",
"preferences": {
"cpu": 2.125,
"memoryMb": 4352,
"storageGb": 52,
"gui": true,
"vncResolution": "1280x800"
},
"requestedBy": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"provisionedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
},
"maxCompletionTokens": 123,
"creditsTotal": 123,
"creditsUsagePct": 123,
"id": "<string>",
"displayAgentDetails": true,
"displayThinkingDetails": true,
"displayRagSearchDetails": true,
"displayThinkingExecution": true,
"displayToolExecution": true
},
"remember_history_count": 123,
"created": "2023-11-07T05:31:56Z"
},
"institution": {
"_id": "<string>",
"name": "<string>",
"picture": "<string>",
"credits": 123,
"creditsUsed": 123,
"creditsAwarded": 123,
"publicId": "<string>",
"publicAuthorizedUrls": [
"<string>"
],
"ainame": "<string>",
"contactEmail": "<string>",
"poolCredits": true,
"created": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"conversationModel": "<string>",
"account": {
"_id": "<string>",
"name": "<string>",
"managerEmail": "jsmith@example.com",
"credits": 123,
"domainUrls": [
"<string>"
],
"qualification": "<string>",
"created": "2023-11-07T05:31:56Z",
"creditCaps": {
"enabled": false,
"perUserAccountTotal": 123,
"perUserInstitutionDefault": 123,
"perUser24hDefault": 123
}
},
"agent": {
"enabled": true,
"preset": "<string>",
"manifestYaml": "<string>",
"manifestDigest": "<string>",
"preferences": {
"cpu": 2.125,
"memoryMb": 4352,
"storageGb": 52,
"gui": true,
"vncResolution": "1280x800"
},
"requestedBy": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"provisionedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
},
"maxCompletionTokens": 123,
"creditsTotal": 123,
"creditsUsagePct": 123,
"id": "<string>",
"displayAgentDetails": true,
"displayThinkingDetails": true,
"displayRagSearchDetails": true,
"displayThinkingExecution": true,
"displayToolExecution": true
},
"entitlements": [
"<string>"
],
"accountType": "<string>",
"status": "<string>",
"creditAwarded": 123,
"created": "2023-11-07T05:31:56Z",
"lastLogin": "2023-11-07T05:31:56Z",
"lastKA": "2023-11-07T05:31:56Z"
}
]
}Admin Entitlements
Get user institutions by user ID
Retrieves all institutions associated with a specific user ID (admin endpoint)
GET
/
api
/
admin
/
userInstitutionsByUserId
/
{userId}
Get user institutions by user ID
Authorizations
JWT token passed in x-access-token header
Path Parameters
The user ID to get institutions for
Was this page helpful?
⌘I